> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List credit line items for a profile



## OpenAPI

````yaml /openapi.json get /api/v1/profiles/{profile_id}/credit_line_items
openapi: 3.1.0
info:
  title: Scholarly API V1
  version: v1
  description: API for accessing Scholarly data
  license:
    name: Proprietary
    identifier: Proprietary
servers:
  - url: https://api.scholarlysoftware.com
    description: Production server
security: []
paths:
  /api/v1/profiles/{profile_id}/credit_line_items:
    parameters:
      - name: profile_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Credit Line Items
      summary: List credit line items for a profile
      operationId: listProfileCreditLineItems
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer token
          schema:
            type: string
        - name: include
          in: query
          required: false
          description: >-
            Comma-separated list of relationships to include. Allowed:
            `profile`, `source`
          schema:
            type: string
        - name: sort
          in: query
          required: false
          description: >-
            Sort order. Prefix with `-` for descending. Allowed: `created_at`,
            `updated_at`, `transaction_date`, `amount`
          schema:
            type: string
        - name: filter[key]
          in: query
          required: false
          description: >-
            Filter results. Available filters: `category`, `status`,
            `transaction_date.from`, `transaction_date.to`, `profile`. Custom
            fields can also be filtered with `filter[custom_fields.field_name]`.
          schema:
            type: string
        - name: page[size]
          in: query
          required: false
          description: Number of items per page (max 100)
          schema:
            type: integer
        - name: page[after]
          in: query
          required: false
          description: Cursor for next page
          schema:
            type: string
        - name: page[before]
          in: query
          required: false
          description: Cursor for previous page
          schema:
            type: string
      responses:
        '200':
          description: credit line items found
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CreditLineItem'
                  meta:
                    $ref: '#/components/schemas/PaginationMeta'
                  links:
                    $ref: '#/components/schemas/PaginationLinks'
                required:
                  - data
        '401':
          description: unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearer_auth: []
components:
  schemas:
    CreditLineItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: credit_line_item
          example: credit_line_item
        attributes:
          type: object
          properties:
            created_at:
              type: string
              format: datetime
            updated_at:
              type: string
              format: datetime
            custom_fields:
              type:
                - object
                - 'null'
            transaction_date:
              type: string
              format: date
            amount:
              type: number
            description:
              type: string
            category:
              type:
                - string
                - 'null'
              enum:
                - adjustment
                - buyout
                - comment
                - course
                - expected_workload
                - leave
                - starting_balance
            status:
              type: string
              enum:
                - active
                - approved
                - completed
                - pending
                - rejected
                - withdrawn
            external_id:
              type:
                - string
                - 'null'
              example: EXT-12345
            term:
              type:
                - string
                - 'null'
            comment:
              type:
                - string
                - 'null'
        relationships:
          type: object
          properties:
            profile:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type: string
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  type: object
                  required:
                    - type
                    - id
                  properties:
                    type:
                      type: string
                      const: profile
                      example: profile
                    id:
                      type: string
                      format: uuid
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
            source:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type:
                        - string
                        - 'null'
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  oneOf:
                    - type: object
                      required:
                        - type
                        - id
                      properties:
                        type:
                          type: string
                        id:
                          type: string
                          format: uuid
                    - type: 'null'
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
      required:
        - id
        - type
        - attributes
    PaginationMeta:
      type: object
      properties:
        page:
          type: object
          properties:
            size:
              type: integer
        total:
          type: integer
    PaginationLinks:
      type: object
      properties:
        self:
          type: string
        first:
          type: string
        next:
          type:
            - string
            - 'null'
        prev:
          type:
            - string
            - 'null'
        last:
          type:
            - string
            - 'null'
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - title
      required:
        - errors
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````